build-container:
  stage: build
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  script:
    - echo "{\"auths\":{\"$CI_REGISTRY\":{\"username\":\"$CI_REGISTRY_USER\",\"password\":\"$CI_REGISTRY_PASSWORD\"}}}" > /kaniko/.docker/config.json
    - /kaniko/executor --context $CI_PROJECT_DIR --cache=true --dockerfile $CI_PROJECT_DIR/Dockerfile --destination $CI_REGISTRY_IMAGE:5.2.0 --build-arg DEPENDENCY_CHECK_VERSION="5.2.0-release"

check-container:
  image: registry.gitlab.com/astrakhan.fr/cicd/container-images/dependency-check:5.2.0
  stage: test
  variables:
    GIT_STRATEGY: none
  script:
    - /dependency-check/bin/dependency-check.sh --version